/**
 * Returns a script tag with a src url
 * @param src src url of the script
 * @param isAsync script load async
 */
export declare const getScriptTagWithSrc: (src: string, isAsync?: boolean) => HTMLScriptElement;
/**
 * Returns a script tag with provided script injected
 * @param script content to be injected into a script tag
 */
export declare const getScriptTagWithContent: (script: string) => HTMLScriptElement;
/**
 * Injects the provided script tag into the head
 * @param scriptTag script tag to inject into head
 */
export declare const injectScriptTagIntoHead: (scriptTag: HTMLScriptElement) => void;
